package eMonMusical.servici;

import java.io.Serializable;
import java.text.ParseException;
import java.util.List;

import eMonMusical.domini.Producte;
import eMonMusical.domini.Votacio;

public interface GestorProducte extends Serializable {

	public List<Producte> getProductesVots();

	public List<Producte> llegirTipus(String tipus);

	public List<Producte> llegirTitol(String titol);

	public List<Producte> getProductes();

	public Producte getProducte(String codi);

	public void actualitzarProducte(Producte prod)throws ParseException;
	
	public void afegirProducte(Producte prod)throws ParseException;

	public List<Votacio> getVots();

	public List<Votacio> getVotacioCodiList(String codi);

	public void guardarVotacio(Votacio vot);

	public List<Producte> getProducteNovetats();
	
	public Producte getProductesVenuts(String codi);

}
