package eMonMusical.servici;

import java.util.List;

import eMonMusical.domini.Preferits;
import eMonMusical.domini.ProducteComprat;
import eMonMusical.domini.ProductePreferit;
import eMonMusical.repositori.PreferitsDao;

@SuppressWarnings("serial")
public class ImplGestorPreferits implements GestorPreferits {

	private PreferitsDao preferitsDao;

	@Override
	public void guardarPreferit(Preferits preferit) {
		preferitsDao.guardarPreferit(preferit);

	}

	@Override
	public List<ProductePreferit> mostrarPreferits() {
		return preferitsDao.mostrarPreferits();
	}

	public void setPreferitsDao(PreferitsDao preferitsDao) {
		this.preferitsDao = preferitsDao;
	}

	public PreferitsDao getPreferitsDao() {
		return preferitsDao;
	}

	@Override
	public List<ProducteComprat> mostrarCistellaCompra(String nUsuari) {
		return preferitsDao.mostrarCistellaCompra(nUsuari);
	}

	@Override
	public List<ProducteComprat> mostrarPreferitsUsuari(String nUsuari) {
		return preferitsDao.mostrarPreferitsUsuari(nUsuari);
	}

}
