package eMonMusical.web;

import org.springframework.web.servlet.mvc.Controller;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import java.io.IOException;
import java.util.Calendar;
import java.util.Map;
import java.util.HashMap;
import java.util.TimeZone;


import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import eMonMusical.servici.GestorProducte;

public class ControladorInventari implements Controller {

	protected final Log logger = LogFactory.getLog(getClass());

	private GestorProducte gestorProducte;

	public ModelAndView handleRequest(HttpServletRequest peticio,
			HttpServletResponse resposta) throws ServletException, IOException {
		
		String hora;
		Calendar cal = Calendar.getInstance(TimeZone.getDefault());
		String DATE_FORMAT = "dd-MM-yyyy";
		java.text.SimpleDateFormat sdf=new java.text.SimpleDateFormat(DATE_FORMAT);
		sdf.setTimeZone(TimeZone.getDefault());
		hora=sdf.format(cal.getTime());

		String ara = hora;
		logger.info("retorna topTen vista amb " + ara);

		Map<String, Object> myModel = new HashMap<String, Object>();
		myModel.put("ara", ara);
		myModel.put("productes", this.gestorProducte.getProductesVots());

		return new ModelAndView("topTen", "model", myModel);
	}

	public void setGestorProducte(GestorProducte gestorProducte) {
		this.gestorProducte = gestorProducte;
	}

}
