package eMonMusical.domini;

import junit.framework.TestCase;

import java.sql.Date;

import eMonMusical.domini.Producte;
import eMonMusical.domini.Votacio;

public class ProducteTests extends TestCase {
	
	private Producte producte;

	protected void setUp() throws Exception {
		producte = new Producte();
	}

	public void testGetSetCodi() {
		String testCodi = "12345678";
		assertNull(producte.getCodi());
		producte.setCodi(testCodi);
		assertEquals(testCodi, producte.getCodi());
	}

	public void testGetSetTitol() {
		String testTitol = "Satisfaction";
		assertNull(producte.getTitol());
		producte.setTitol(testTitol);
		assertEquals(testTitol, producte.getTitol());
	}

	public void testGetSetPreu() {
		float preu = 21;
		assertEquals(0,0,0);
		producte.setPreu(preu);
		assertEquals(preu, producte.getPreu(), 0);
	}

	public void testGetSetDescompte() {
		String testDescompte = "aDescompte";
		assertNull(producte.getDescompte());
		producte.setDescompte(testDescompte);
		assertEquals(testDescompte, producte.getDescompte());
	}

	public void testGetSetCantant() {
		String testTitol = "Rolling Stone";
		assertNull(producte.getCantant());
		producte.setCantant(testTitol);
		assertEquals(testTitol, producte.getCantant());
	}

	public void testGetSetQuantitat() {
		int quantitat = 10;
		assertEquals(0,0,0);
		producte.setQuantitat(quantitat);
		assertEquals(quantitat, producte.getQuantitat(), 0);
	}

	public void testGetSetTipus() {
		String testTipus = "Rock";
		assertNull(producte.getTipus());
		producte.setTipus(testTipus);
		assertEquals(testTipus, producte.getTipus());
	}

	@SuppressWarnings("deprecation")
	public void testGetSetData() {
		Date testData = new Date(1970,3,30);
		assertNull(producte.getData());
		producte.setData(testData.toString());
		assertEquals(testData.toString(), producte.getData().toString());
	}
	
	public void testGetSetVotacio(){
		Votacio testVot = new Votacio();
		assertNull(producte.getVotacio());
	    testVot.setCodi("87563421");
	    testVot.setNombreVots(8);
		producte.setVotacio(testVot);
		assertEquals(testVot, producte.getVotacio());
	}

}
