package eMonMusical.web;

import java.util.ArrayList;
import java.util.Map;

import org.springframework.web.servlet.ModelAndView;

import eMonMusical.servici.ImplGestorProducte;
import eMonMusical.web.ControladorInventari;
import eMonMusical.domini.Producte;
import eMonMusical.repositori.EnMemoriaProducteDao;

import junit.framework.TestCase;


public class ControladorInventariTests extends TestCase {
	
	@SuppressWarnings("rawtypes")
	public void testHandleRequestView() throws Exception{
        ControladorInventari controlador = new ControladorInventari();
        ImplGestorProducte igp = new ImplGestorProducte();
        igp.setProducteDao(new EnMemoriaProducteDao(new ArrayList<Producte>()));
        controlador.setGestorProducte(igp);
        //controlador.setGestorProducte(new ImplGestorProducte());
        ModelAndView modelAndView = controlador.handleRequest(null, null);
        assertEquals("topTen", modelAndView.getViewName());
        assertNotNull(modelAndView.getModel());
        Map modelMap = (Map) modelAndView.getModel().get("model");
        String nowValue = (String) modelMap.get("ara");
        assertNotNull(nowValue);
    }


}
