package eMonMusical.domini;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@SuppressWarnings("serial")
public class Compra implements Serializable {

	private Usuari usuari;
	private List<Producte> productes;
	private List<ProducteComprat> comprats;
	private String tipus;
	private float granTotal;

	public Compra() {
		productes = new ArrayList<Producte>();
		comprats = new ArrayList<ProducteComprat>();
		usuari = new Usuari();
	}

	public Usuari getUsuari() {
		return usuari;
	}

	public void setUsuari(Usuari usuari) {
		this.usuari = usuari;
	}

	public List<Producte> getProductes() {
		return productes;
	}

	public void setProductes(List<Producte> productes) {
		this.productes = productes;
	}
	
	public void afegirProducte(Producte prod){
		productes.add(prod);
	}

	public void setTipus(String tipus) {
		this.tipus = tipus;
	}

	public String getTipus() {
		return tipus;
	}

	public void setGranTotal(float granTotal) {
		this.granTotal = granTotal;
	}

	public float getGranTotal() {
		return granTotal;
	}

	public void setComprats(List<ProducteComprat> comprats) {
		this.comprats = comprats;
	}

	public List<ProducteComprat> getComprats() {
		return comprats;
	}
	
	public void afegirComprat(ProducteComprat comprat){
		comprats.add(comprat);
	}

}
