package eMonMusical.domini;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@SuppressWarnings("serial")
public class Venda implements Serializable {

	private List<ProducteVenut> productes;
	private Vendes vendes;
	private float granTotal;
	private String data;

	public Venda() {
		productes = new ArrayList<ProducteVenut>();
		vendes = new Vendes();
	}

	public List<ProducteVenut> getProductes() {
		return productes;
	}

	public void setProductes(List<ProducteVenut> productes) {
		this.productes = productes;
	}


	public float getGranTotal() {
		return granTotal;
	}

	public void setGranTotal(float granTotal) {
		this.granTotal = granTotal;
	}

	public void setVendes(Vendes vendes) {
		this.vendes = vendes;
	}

	public void afegirVendes(ProducteVenut prod) {
		productes.add(prod);
	}

	public Vendes getVendes() {
		return vendes;
	}

	public void setData(String data) {
		this.data = data;
	}

	public String getData() {
		return data;
	}


}
