package eMonMusical.repositori;

import java.text.ParseException;
import java.util.List;

import eMonMusical.domini.Producte;
import eMonMusical.domini.Votacio;

public interface ProducteDao {

	public List<Producte> getProducteVotsList();

	public List<Producte> getProductesTipusList(String tipus);

	public List<Producte> getProductesTitolList(String titol);

	public List<Producte> getProductes();

	public void actualitzarProducte(Producte prod)throws ParseException;
	
	public void afegirProducte(Producte prod)throws ParseException;

	public Producte getProducte(String codi);

	public List<Votacio> getVotacioList();

	public List<Votacio> getVotacioCodiList(String codi);

	public void guardarVotacio(Votacio vot);

	public List<Producte> getProducteNovetats();
	
	public Producte getProductesVenuts(String codi);

}
