package eMonMusical.servici;

import java.io.Serializable;
import java.text.ParseException;
import java.util.List;

import org.springframework.dao.DataAccessException;
import org.springframework.transaction.annotation.Transactional;

import eMonMusical.domini.IniciSessioInfo;
import eMonMusical.domini.Usuari;

public interface GestorUsuari extends Serializable {

	public List<Usuari> getUsuaris();

	public void guardarUsuari(Usuari user) throws ParseException;

	public Usuari getUsuari(String nUser, String contrasenya)
			throws DataAccessException;
	
	@Transactional (readOnly=false)
	public void esborrarUsuari(String nUsuari);

	public IniciSessioInfo getUsuari(String nUsuari) throws DataAccessException;

	public IniciSessioInfo getAdmin(String nUsuari, String contrasenya);

}
