package eMonMusical.servici;

import java.util.List;

import eMonMusical.domini.ProducteVenut;
import eMonMusical.domini.Vendes;
import eMonMusical.repositori.VendesDao;

@SuppressWarnings("serial")
public class ImplGestorVendes implements GestorVendes {

	private VendesDao vendesDao;

	public VendesDao getVendesDao() {
		return vendesDao;
	}

	public void setVendesDao(VendesDao vendesDao) {
		this.vendesDao = vendesDao;
	}

	@Override
	public void guardarVenda(Vendes venda) {
		vendesDao.guardarVenda(venda);

	}

	@Override
	public List<ProducteVenut> mostrarVendesPerData(String data) {
		return vendesDao.mostrarVendesPerData(data);
	}

	@Override
	public List<ProducteVenut> mostrarVendesSetmanaPassada() {
		return vendesDao.mostrarVendesSetmanaPassada();
	}

	@Override
	public List<ProducteVenut> mostrarVendesMesPassat() {
		return vendesDao.mostrarVendesMesPassat();
	}

	@Override
	public List<Vendes> mostrarVendes() {
		return vendesDao.mostrarVendes();
	}

	@Override
	public List<String> mostrarDates() {
		return vendesDao.mostrarDates();
	}

}
