package eMonMusical.servici;

import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

public class ProducteTipusValidator implements Validator {

	@SuppressWarnings("rawtypes")
	@Override
	public boolean supports(Class clazz) {
		return ProducteTipus.class.equals(clazz);
	}

	@Override
	public void validate(Object obj, Errors errors) {
		ProducteTipus pt = (ProducteTipus) obj;

		try {
			if (pt.getTipus().equals("NONE"))
				errors.rejectValue("tipus", "error.tipus");

		} catch (java.lang.NullPointerException ex) {
			errors.rejectValue("tipus", "error.codis");
		}

	}
}
