package eMonMusical.web;

import java.util.HashMap;
import java.util.Map;

import org.springframework.web.servlet.mvc.SimpleFormController;
import org.springframework.web.servlet.ModelAndView;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import eMonMusical.servici.GestorProducte;
import eMonMusical.servici.ProducteTipus;

public class ProducteTipusFormController extends SimpleFormController {

	protected final Log logger = LogFactory.getLog(getClass());

	private GestorProducte gestorProducte;

	public ModelAndView onSubmit(Object command) throws ServletException {

		String tipus = ((ProducteTipus) command).getTipus();
		logger.info("Posant el tipus de producte a " + tipus);

		Map<String, Object> myModel = new HashMap<String, Object>();
		myModel.put("productes", this.gestorProducte.llegirTipus(tipus));

		return new ModelAndView("cercarExit", "model", myModel);
	}

	protected Object formBackingObject(HttpServletRequest request)
			throws ServletException {
		ProducteTipus producteTipus = new ProducteTipus();
		producteTipus.setTipus("--Selecciona sisplau");
		return producteTipus;
	}

	public GestorProducte getGestorProducte() {
		return gestorProducte;
	}

	public void setGestorProducte(GestorProducte gestorProducte) {
		this.gestorProducte = gestorProducte;
	}

}
