package eMonMusical.web;

import java.io.IOException;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.Controller;
import org.springframework.web.servlet.mvc.SimpleFormController;

import eMonMusical.servici.GestorOpinio;
import eMonMusical.domini.OpiUsuari;

public class VeureMissatgesController extends SimpleFormController implements
		Controller {
	protected final Log logger = LogFactory.getLog(getClass());

	private GestorOpinio gestorOpinio;

	public ModelAndView handleRequest(HttpServletRequest peticio,
			HttpServletResponse resposta) throws ServletException, IOException {

		logger.info("Mirant missatges ");

		List<OpiUsuari> opis = this.gestorOpinio.getOpinions();

		return new ModelAndView("adminMissatges", "missatges", opis);
	}

	public void setGestorOpinio(GestorOpinio gestorOpinio) {
		this.gestorOpinio = gestorOpinio;
	}

	public GestorOpinio getGestorOpinio() {
		return gestorOpinio;
	}

}
