package eMonMusical.web;

import java.io.IOException;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.Controller;
import org.springframework.web.servlet.mvc.SimpleFormController;

import eMonMusical.domini.ProductePreferit;
import eMonMusical.servici.GestorPreferits;

public class VeurePreferitsController extends SimpleFormController implements
		Controller {
	
	protected final Log logger = LogFactory.getLog(getClass());

	private GestorPreferits gestorPreferits;



	public ModelAndView handleRequest(HttpServletRequest peticio, HttpServletResponse resposta)
    throws ServletException, IOException {

		logger.info("Mirant preferits ");

		List<ProductePreferit> preferits = this.gestorPreferits.mostrarPreferits();
		
		return new ModelAndView("adminPreferits", "preferits", preferits);
	}


	public void setGestorPreferits(GestorPreferits gestorPreferits) {
		this.gestorPreferits = gestorPreferits;
	}


	public GestorPreferits getGestorPreferits() {
		return gestorPreferits;
	}
	



}
